# Maintainers and Contributors

This file describes how the Yellowbrick project is maintained and provides contact information for key folks in the project.

When creating a pull request, your contribution will be reviewed by one or probably two maintainers who will give you the :+1: when your extension is ready to be merged. Maintainers work hard to ensure that Yellowbrick is a high quality project and that contributors are successful.

For more about how to develop visualizers and contribute features to Yellowbrick, see our [contributor's guide](CONTRIBUTING.md) and the [documentation](https://www.scikit-yb.org/en/latest/contributing/index.html).

For everyone who has [contributed](https://github.com/DistrictDataLabs/yellowbrick/graphs/contributors) in big and in small ways, **thank you!**. Yellowbrick is intended to be a community project, welcoming to new and experienced developers alike. If you would like to become a core contributor you must simply submit a pull request that shows core knowledge of the Yellowbrick library. Usually new Visualizers meet this standard; let the maintainers know you'd like to join the team, and they'll help you work toward it!

## Maintainers

This is a list of the primary project maintainers. Feel free to @ message them in issues and converse with them directly.

- [bbengfort](https://github.com/bbengfort)
- [rebeccabilbro](https://github.com/rebeccabilbro)
- [lwgray](https://github.com/lwgray)
- [pdamodaran](https://github.com/pdamodaran)

## Core Contributors

This is a list of the core-contributors of the project. Core contributors set the road map and vision of the project. Keep an eye out for them in issues and check out their work to use as inspiration! Most likely they would also be happy to chat and answer questions.

- [pdeziel](https://github.com/pdeziel)
- [ndanielsen](https://github.com/ndanielsen)
- [NealHumphrey](https://github.com/NealHumphrey)
- [jkeung](https://github.com/jkeung)
- [mattandahalfew](https://github.com/mattandahalfew)
- [tuulihill](https://github.com/tuulihill)
- [balavenkatesan](https://github.com/balavenkatesan)
- [morganmendis](https://github.com/morganmendis)
- [yzyzy](https://github.com/yzyzy)
- [wagner2010](https://github.com/wagner2010)
- [Juan0001](https://github.com/Juan0001)
- [ccjolley](https://github.com/ccjolley)
- [justjess](https://github.com/justjess)
- [kbelita](https://github.com/kbelita)
- [sanemkabaca](https://github.com/sanemkabaca)
- [Kautumn06](https://github.com/Kautumn06)
- [Zeynepelabiad](https://github.com/Zeynepelabiad)
